> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reservation Summary

> Get Reservation Summary



## OpenAPI

````yaml /openapi/openapi_reservation.json get /commerce/reservation/summary
openapi: 3.0.1
info:
  description: |-
    <div id="overview_RESERVATION">
                <h2>RESERVATIONS</h2>
                <p>The Reservation APIs are used to create and manage inventory reservations. This includes updating items and quantities, fulfillment methods, zip codes and pickup locations, and resetting
                    the expiration timer for a reservation. For more information, see the <a href="/pages/reserve-inventory-in-cart">Reservations feature guide</a>.
                </p>
            </div>
  title: Reservation Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/reservation/summary:
    get:
      tags:
        - Reservation
      summary: Get Reservation Summary
      description: Get Reservation Summary
      parameters:
        - in: query
          name: startIndex
          schema:
            format: int32
            type: integer
        - in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - in: query
          name: sortBy
          schema:
            type: string
        - in: query
          name: filter
          schema:
            type: string
        - in: query
          name: q
          schema:
            type: string
        - in: query
          name: qLimit
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReservationAggregateSummary'
            text/json:
              schema:
                $ref: '#/components/schemas/ReservationAggregateSummary'
            text/plain:
              schema:
                $ref: '#/components/schemas/ReservationAggregateSummary'
          description: OK
        '413':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Content Too Large
components:
  schemas:
    ReservationAggregateSummary:
      properties:
        allocatedDemand:
          format: int64
          type: integer
        byAllocationStatus:
          items:
            $ref: '#/components/schemas/AllocationStatusDemandEntry'
          nullable: true
          type: array
        byCustomer:
          items:
            $ref: '#/components/schemas/CustomerDemandEntry'
          nullable: true
          type: array
        byReservationStatus:
          items:
            $ref: '#/components/schemas/ReservationStatusDemandEntry'
          nullable: true
          type: array
        totalDemand:
          format: int64
          type: integer
        unallocatedDemand:
          format: int64
          type: integer
      type: object
    ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          format: int32
          nullable: true
          type: integer
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    AllocationStatusDemandEntry:
      properties:
        allocationStatus:
          nullable: true
          type: string
        itemCount:
          format: int32
          type: integer
        totalDemand:
          format: int64
          type: integer
      type: object
    CustomerDemandEntry:
      properties:
        customerAccountId:
          format: int32
          nullable: true
          type: integer
        reservationCount:
          format: int32
          type: integer
        totalDemand:
          format: int64
          type: integer
      type: object
    ReservationStatusDemandEntry:
      properties:
        reservationCount:
          format: int32
          type: integer
        reservationStatus:
          nullable: true
          type: string
        totalDemand:
          format: int64
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````